
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>究竟什么是POJO？ / iVAN</title>

    <meta name="description" content="究竟什么是POJO？       POJO(Plain Old Java Object)这种叫法是Martin Fowler.Rebecca Parsons和Josh MacKenzie在2000年的一次演讲的时候提出来的.      我在做J2EE培训中发现我的很多学生问我什么是POJO,后来我在写书(&lt;Spring2初学者实践教材&gt;和&lt;Spring2初学者实践教材&gt;)的时候发现POJO这个概念无法回避.现在网上对于POJO的解释很多,但是很多都是有错误的或者不够准确.对此我一开始也是存在误 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">究竟什么是POJO？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>      POJO（Plain Old Java Object）这种叫法是Martin Fowler、Rebecca Parsons和Josh MacKenzie在2000年的一次演讲的时候提出来的。<br />      我在做J2EE培训中发现我的很多学生问我什么是POJO，后来我在写书（《Spring2初学者实践教材》和《Spring2初学者实践教材》）的时候发现POJO这个概念无法回避。现在网上对于POJO的解释很多，但是很多都是有错误的或者不够准确。对此我一开始也是存在误区的，我原来是这样理解的：<br />        POJO是这样的一种“纯粹的”JavaBean，在它里面除了JavaBean规范的方法和属性没有别的东西，即private属性以及对这个属性方法的public的get和set方法。我们会发现这样的JavaBean很“单纯”，它只能装载数据，作为数据存储的载体，而不具有业务逻辑处理的能力。<br />    所以下面的代码被认为是POJO了。</p>
<p>package com.tongking.spring;</p>
<p>public class DbHello implements Hello {</p>
<p>       private DictionaryDAO dao;</p>
<p>       public void setDao(DictionaryDAO dao) {</p>
<p>              this.dao = dao;</p>
<p>       }</p>
<p>}</p>
<p>        其实，这样的认为是错误的，我仔细阅读了《POJOs in Action》这本书的有关部分和POJO的最原始的出处http://martinfowler.com/bliki/POJO.html，<br />        The term was coined while Rebecca Parsons, Josh MacKenzie and I 	were preparing for a talk at a conference in September 2000. In the 	talk we were pointing out the many benefits of encoding business 	logic into regular java objects rather than using Entity Beans. We 	wondered why people were so against using regular objects in their 	systems and concluded that it was because simple objects lacked a 	fancy name. So we gave them one, and it's caught on very nicely.<br />
<br />基本的意思是我们要给具有业务逻辑处理的规则的Java对象（regular java objects）起了一个名字——POJO，这些Java对象不是EntityBeans（EJB的一种）。</p>
<p>        我又在http://www.webopedia.com/TERM/P/POJO.htm查到解释如下：</p>
<p><a href="http://www.webopedia.com/TERM/P/POJO.htm#" rel="external nofollow noreferrer">POJO</a>, or <em>Plain Old Java Object</em>, is a normal <a href="http://www.webopedia.com/TERM/P/Java.html" rel="external nofollow noreferrer">Java</a> <a href="http://www.webopedia.com/TERM/P/object.html" rel="external nofollow noreferrer">object</a> class (that is, not a <a href="http://www.webopedia.com/TERM/P/JavaBeans.html" rel="external nofollow noreferrer">JavaBean</a>, EntityBean etc.)  and does not serve any other special role  nor does it implement any special interfaces of any of the Java frameworks. This term was  coined by Martin Fowler, Rebbecca Parsons and Josh MacKenzie who believed that  by creating the acronym POJO, such objects would have a "fancy name", thereby  convincing people that they were worthy of use.<br />        基本意思是说POJO一个正规的Java对象（不是JavaBean，EntityBean等），也不担当任何的特殊的角色，也不实现任何Java框架指定的接口。<br />         我觉得上面的解释很准确，POJO应该不是我们开始认为的JavaBean，当然更不是EJB，它不应该依赖于框架即继承或实现某些框架类或接口。例如：Struts1中的Action和ActionForm当然不属于POJO了，而在Struts2中的Action由于可以不继承任何的接口，所以在这种情况下Action是POJO，但是Struts2中的Action也可以继承ActionSupport类就不再属于POJO了。POJO里面是可以包含业务逻辑处理和持久化逻辑，也可以包含类似与JavaBean属性和对属性访问的set和get方法的。<br />       最后，我们总结一下给一个定义把，POJO是一个简单的、正规Java对象，它包含业务逻辑处理或持久化逻辑等，但不是JavaBean、EntityBean等，不具有任何特殊角色和不继承或不实现任何其它Java框架的类或接口。<br />   </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 19:14:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>究竟什么是POJO？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4YR9b.html" rel="bookmark">探究推荐引擎瞬间被&OpenCurlyDoubleQuote;秒&rdquo;背后：究竟是什么让用户接踵而至？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6月16日,阿里云技术专家郑重(卢梭)将做客,直播分享&lt;技术实战:21天搭建推荐系统&gt;,报名地址:https://yq.aliyun.com/webinar/join/14 推荐引擎官网 &quot;我是做电商CRM的,市场中有非常多的CRM在相互竞争,必须要找到一个能让自己的产品区别于竞争对手,甚至优于对手的核心能力.现在产品的未来都压在推荐引擎上,我需要你们帮助定制出这项能力.&quot;一位企业的负责人如此坦言. 5月18日上午11点,推荐引擎新版上线,在限量提供折扣抢购后,所有的产品瞬			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5V7Dz.html" rel="bookmark">好的网店系统究竟有多重要</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				好的网店系统究竟有多重要 2010年12月4日下午,同心圆软件CEO左家华表示,研发.升级强大的IT系统,是B2C企业最核心的竞争力. 左家华谈到,系统不稳定.库存不精确,这是很多企业遇到的问题.用户在前台下完单,后台库房却找不到产品,这严重影响到了网站的用户体验,同时也是系统效率的问题.京东商城每年耗资数千万研发升级系统.构建六百人的研发团队,亚马逊系统花几个亿才做系统,他们把轻公司做重,正是在构建自己的核心竞争力. V5shop认为:对于B2C企业来说,有四个非常重要的数据,分别是:营销成本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apX9Vlz.html" rel="bookmark">POJO应用架构：Spring与EJB 3&period;0的对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				架构 爱因斯坦曾经说过:&quot;每件事物都应该尽可能简单,而不是更简单&quot;.的确,对科学真理的追求都是为了简化理论的根本假设,这样我们才能处理真正麻烦的问题.企业级软件的开发也是这样的. 简化企业级软件开发的关键是提供一个隐藏了复杂性(例如事务.安全性和永续性)的应用框架.良好设计的框架组件可以提升代码的重复使用(reuse)能力,提高开发效率,从而得到更好的软件质量.但是,目前J2EE 1.4中的EJB 2.1框架组件被人们普遍认为是设计较差的和过于复杂的.Java开发者对EJB 2.1很不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrDN1z.html" rel="bookmark">php&period;ini究竟放哪里？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q:php.ini究竟放哪里? A:在Unix上,php.ini文件缺省放在/usr/local/lib上面,因为缺省的存放路径是/lib,但是可以在编译的时候使用--with-config-file-path参数来修改php.ini的存放位置,例如你可以使用--with-config-file-path=/etc把它存放到/etc下面,然后可以从源码包中拷贝php.ini-dist到/etc/php.ini并修改使之满足需要.Windows上面php.ini的缺省位置是windows系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1648p.html" rel="bookmark">个人站长的前途究竟在哪里</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在互联网越来越同质化的今天,个人站长的前途究竟在哪? 个人站长已经从过去单纯的兴趣发展到现在的盈利,没有盈利,个人站长就是不务正业,这句话可能有点过分,但是现实就是如此,不盈利的个人站长,就称不上真正的站长. 现在已经不是单打独斗的时代了,在竞争越来越激烈的今天,只有抱团做站才是个人站长的前途. 如今个人站长的劣势已经越来越明显,具体表现如下: 1.时间:个人站长1天在电脑前10个小时可能很正常,但是健康也没有保证了.再者,即使一天工作24个小时,其效率也是非常低下的. 做站从前期调研策划到设计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDyaKb.html" rel="bookmark">word-wrap 和 word-break 究竟是什么意思？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				word-wrap 和 word-break 究竟是什么? 为什么会乐此不疲地重复碰到这个问题? 这个问题是问题么? 我们经常需要&quot;修复&quot;一个老生常谈的&quot;bug&quot;,那就是文本的自动换行问题.在专业术语上,这种期望得到的渲染现象被称作&quot;word wrap&quot;,即文本处理器有能力把超出页边的整个词自动传到下一行. 在现实项目中,尤其是在测试阶段,鉴于测试使用非常极端的测试用例,我们经常需要&quot;修复&quot;如图所示的这个问题: 长单词溢出 图			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBoJ9M.html" rel="bookmark">JavaScript脚本的void&lpar;0&rpar;究竟是何含义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在 JavaScript脚本中就会经常可以看到这样的代码: 〈a href=&quot;javascript:changeNum();void(0);&quot;〉here〈/a〉 但这儿的void(0)究竟是何含义呢? JavaScript中void是一个操作符,该操作符指定要计算一个表达式但是不返回值. void 操作符用法格式如下: 1. javascript:void (e­xpression) 2. javascript:void e­xpression e­xpression 是一个要计算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgLV3p.html" rel="bookmark">用户研究小技巧&colon;用户测试的目的究竟是神马？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:发现用户言行不一的小技巧之感性篇. 早在19世纪30年代,美国心理学家 Richard LaPiere 就意识到一个人的态度与行为并不总是很牢固地联系在一起.LaPiere 得出这样的结论:如果你想预测一个人在面对某一真实的特定情景或特定人物时将如何表现的话,对假设性情景的口头回答(即用户的态度)是远远不够的. 事实的确如此,人类总有一种惯性,即使有最好的意图,也是说一套做一套.用户也不外乎凡人的本性,那么,我们如何快速的发现用户在进行测试时是真心还是假意呢,下面就是我作为一名小实习生			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlvNYz.html" rel="bookmark">探讨企业站究竟适不适合做长尾词</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开门见山了,长期做企业站优化的朋友应该都有这样的感觉:单靠几个主关键词的排名究竟有多大意义,如果几个关键词的搜索量还可以,那么只要你等做到百度第一页,自然可以给企业站带来不错的流量,但是一个站点流量绝大多数还是来自于长尾词.有人说企业站也可以去做一些长尾词的,这样也是能够获得一些有意义的流量,不过仔细思考下,流量的真正意义是什么呢?不用我多啰嗦,那就是转化率,流量能否转化为企业的订单或咨询量.对于一个企业来说,卖掉产品或提升企业品牌才是最重要的,假如一个用户只是偶然搜索一个与产品无关的长尾词,然			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRywdb.html" rel="bookmark" class="title">用Keil、C语言对C8051F310编程，求例程。。</a>
					<div>
						问题描述 用Keil.C语言对C8051F310编程,求例程.. 随意的例程就行如果有按键消抖,数码管显示,占空比调节就更好了感激不尽! 解决方案 硬件电路图都没有--					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAAZ3M.html" rel="bookmark" class="title">Photoshop给河边人物调出暖色调</a>
					<div>
						图片主色有点太浓,不能很好的突出人物部分.调色的时候把主色调淡,颜色用较为鲜艳的暖色,然后给暗部增加一点褐色并调亮,整体就会柔美很多. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr7vyp.html" rel="bookmark" class="title">如何将WPS转换成Word</a>
					<div>
						1.先说如何用word打开wps文档 大家都知道金山wps文档的扩展名是.wps,那么有一个办法很简单,直接改.wps为word扩展名.doc,然后你用office2007就可以直接打开他了.大部分功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKP57M.html" rel="bookmark" class="title">解决使用ASP无法连接ORACLE 9i数据库的问题</a>
					<div>
						今天,在一台WIN2K SERVER 服务器上,通过ASP安装在本机的 Oracle9i 数据库时,发现错误,根本无法连接上数据库.其错误描述如下: Microsoft OLE DB Provider ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLrK5b.html" rel="bookmark" class="title">网站外链快速增加秘籍之巧用分享功能</a>
					<div>
						在这里笔者很荣幸现在还是羽翼团队的一份子,很荣幸羽毛老师能给于笔者这样的一个学习机会,这里废话就不多说了,直接进入主题吧.网站外链的重要性就不用笔者去强调了,相信大家都明白.经常泡论坛的童鞋们就会发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrOlOp.html" rel="bookmark" class="title">简析8&period;22百度公告传递的信息</a>
					<div>
						百度官方于8月22日发布公告称将进一步升级百度算法,主要矛头直指内容作弊站点.一直以来对于很多站长来说&quot;内容为王&quot;奉为座右铭,但大都不是靠着原创内容来真正实践这条至理,而是衍生了& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2OkVM.html" rel="bookmark" class="title">谷歌VS Naver&colon;霸王难敌&OpenCurlyDoubleQuote;地头蛇&rdquo;</a>
					<div>
						虽然谷歌目前拥有全球搜索市场的83%,但在有些国家已经逐渐趋于下滑,比如说中国和韩国,在中国只要你问一个问题,并且很难得到准确答案的时候,大家都会说上百度啊,同样在韩国,问任何韩国他们用什么搜索引擎, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd9Y6z.html" rel="bookmark" class="title">代理模式&lpar;proxy pattern&rpar; 未使用代理模式 详解</a>
					<div>
						如果需要监控(monitor)类的某些状态, 则需要编写一个监控类, 并同过监控类进行监控. 但仅仅局限于本地, 如果需要远程监控, 则需要使用代理模式(proxy pattern). 具体方法: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Qgrb.html" rel="bookmark" class="title">如何修复硬盘坏道</a>
					<div>
						&quot;坏道(Bad track)&quot;源于十多年前的小容量硬盘.当时的硬盘内部没有系统保留区.出厂前,厂家会扫描硬盘中存在坏扇区的磁道,并将其位置记录在一张小表格中,贴在硬盘外壳上,注明& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr44Pp.html" rel="bookmark" class="title">&lbrack;叩响C&num;之门&rsqb;第4章 流程控制 4&period;5&period;1 while语句</a>
					<div>
						4.5 循环结构 太阳每天从东边升起,从西边落下,周而复杂始,循环不断:我们的课程表每星期循环一次......					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NJ80z.html" rel="bookmark" class="title">CentOS 6&period;3 FTP安装vsftp虚拟用户设置全解</a>
					<div>
						一.准备安装 环境:CentOS 6.3 安装:Minimal(最小) 注意:修改时区和时间 所需要的软件:vsftp   http   pam  db4-devel   ftp(客户端安装包) 二. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK9o1p.html" rel="bookmark" class="title">《Programming WPF》翻译 第4章 6&period;我们进行到哪里了？</a>
					<div>
						根本上讲,数据绑定是关于在一个地方保持数据,例如,在另一个地方,一 个控件的属性,在数据上同步一个对象的属性.在这一章,我们从深度和广度上 遍历了数据绑定引擎这一基础概念,以及大量牵连到的,包括基于对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7eeab.html" rel="bookmark" class="title">XP蓝屏故障的速查攻略</a>
					<div>
						XP蓝屏故障的速查攻略 最近Windows XP系统经常意外的蓝屏,本来想重装系统,但是由于需要重装的软件太多,于是决心查清楚蓝屏的具体原因,经过一番努力,终于找到了一个很好的蓝屏故障解决办法,下面和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7PQvb.html" rel="bookmark" class="title">PS布尔运算简单绘制一个车轮子</a>
					<div>
						  PS布尔运算简单绘制一个车轮子 1.在PS文档中,利用椭圆工具绘制一个大圆,然后按住&quot;Alt&quot;键,绘制一个小圆,如图所示; 2.按住&quot;shift&quot;键,同一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEDm4b.html" rel="bookmark" class="title">Excel2003表格行列互换教程</a>
					<div>
						  Excel2003表格行列互换教程 下面就让小编为大家介绍Excel2003表格行列互换教程,具体步骤如下: ①选中需要转换的数据区域,然后进行&quot;复制&quot;操作. ②选中保存数据的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P0w0M.html" rel="bookmark" class="title">在Dreamweaver中轻松插入Flash按钮</a>
					<div>
						Flash 的动画按钮能够给网站带来动感,这让不少读者觉得十分有趣,同时也为网站增加了许多访客,其实在 Dreamweaver MX 2004 中只需几步简单的操作,就可以插入 Flash 按钮. 效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKByVp.html" rel="bookmark" class="title">VBS教程：正则表达式简介 -建立正则表达式</a>
					<div>
						  建立正则表达式 构造正则表达式的方法和创建数学表达式的方法一样.也就是用多种元字符与操作符将小的表达式结合在一起来创建更大的表达式. 可以通过在一对分隔符之间放入表达式模式的各种组件来构造一个正则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJANlp.html" rel="bookmark" class="title">EXCEL表中&num;N&sol;A是什么意思？&num;N&sol;A是什么？</a>
					<div>
						  有人问EXCEL表中#N/A是什么意思?当在函数或公式中没有可用数值时,就会显示出&quot;N/A&quot;,在英语单词中(Not applicable)他是单词的缩写,我们一般会在很多办公表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNv4rM.html" rel="bookmark" class="title">win7字体安装的方法</a>
					<div>
						  工具/原料 Win7 字体文件 方法一:复制字体文件到C:WINDOWSFonts里 1.到字体网站下载字体文件,一般下载下来的是zip或rar格式的压缩文件,解压后就得到字体文件,一般为.ttf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmBY8z.html" rel="bookmark" class="title">开源大数据周刊-第12期</a>
					<div>
						阿里云E-Mapreduce动态 E-Mapreduce团队 1.3.4版本 (已经发布) 升级jdk到1.8 升级Hadoop到2.7.2 添加python2.7.1及python3.4版本 添加n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNG8kz.html" rel="bookmark" class="title">ICLR 17最具争议的最佳论文，实至名归还是盛名过誉？</a>
					<div>
						ICLR 2017 的论文评审结果于今天新鲜出炉,雷锋网 AI 科技评论了解到,经过近三个月的评选,本次 ICLR 的 507 篇论文中共诞生 15 篇口头展示论文,181 篇海报展示论文,而三篇最佳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrE5VM.html" rel="bookmark" class="title">微信发布时间如何选择？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于很多企业的微信公众号小编来说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBYPWM.html" rel="bookmark" class="title">然后在DataTable中合并相同条件的列数据</a>
					<div>
						问题描述 如何在DataTable中合并相同条件的列数据最好能给个代码看看谢谢!!!! 解决方案 解决方案二:相同条件的列数据?解决方案三:最好把问题说清楚解决方案四:不好意思忘记了是相同条件的数据列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW935z.html" rel="bookmark" class="title">互联网混战酿变局</a>
					<div>
						经历一段平静期之后,腾讯忽然推出多项互联网组合拳,在全国性团购网布局.在线旅游平台等新兴领域频频出手.据记者观察,腾讯在完成团购网的布局后,将和上千个大大小小的同类网站进行直接竞争,而在网上旅游业务, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRgB8b.html" rel="bookmark" class="title">浅谈长尾词和联想词的作用</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 说到长尾词,相信很多站长都不会陌生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY539rM.html" rel="bookmark" class="title">jvm系列&lpar;八&rpar;&colon;jvm知识点总览</a>
					<div>
						在江湖中要练就绝世武功必须内外兼备,精妙的招式和深厚的内功,武功的基础是内功.对于武功低(就像江南七怪)的人,招式更重要,因为他们不能靠内功直接去伤人,只能靠招式,利刃上优势来取胜了,但是练到高手之后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n2j7z.html" rel="bookmark" class="title">基于CAN总线的家居安防系统设计</a>
					<div>
						现在,人们对工作和生活环境不仅要求舒适健康.可靠便利,而且更加看重安全性,并利用安防系统来提高家庭抵御各种意外情况的能力.现在的安防系统可借助计算机技术.IC卡技术.通信技术等来实现-- 1引言 现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjODKM.html" rel="bookmark" class="title">周鸿祎，从质监局挖人的三重用意</a>
					<div>
						360确认了原国家质检总局新闻发言人陈熙同加盟公司的消息.冠冕堂皇的说法是:360公司上市后,发展更加迅速,队伍快速壮大,在持续引进信息技术专业人才的同时,也需要引进行政管理方面的高级人才,以满足公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12m0jp.html" rel="bookmark" class="title">简单又复杂的sql查询。。。想屎的心都有了。&period;&period;&period;</a>
					<div>
						问题描述 A表:字段:aidB表:字段:bidA,B两表没任何关系.C表:字段:aid,bid---1条记录代表一个组合需求:想找出所有a,b组合,是C表不存在的组合----------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX040jp.html" rel="bookmark" class="title">【求助】listbox绑定数据源之后的更新问题</a>
					<div>
						问题描述 我在listbox中绑定数据源,但数据添加删除后,listbox中信息没有更新,只能将界面关闭再打开才能显示,如何解决?我想要达到的目的:保存或者删除数据时,listbox中同时增加或者减少 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
